Package Details: flashplugin 32.0.0.465-1

Git Clone URL: https://aur.archlinux.org/flashplugin.git (read-only, click to copy)
Package Base: flashplugin
Description: Adobe Flash Player NPAPI
Upstream URL: https://get.adobe.com/flashplayer/
Licenses: custom, LGPL
Submitter: neeshy
Maintainer: neeshy
Last Packager: neeshy
Votes: 9
Popularity: 4.46
First Submitted: 2021-01-23 23:07
Last Updated: 2021-03-07 00:02

Latest Comments

neeshy commented on 2021-03-07 00:01

@huupoke12 @kaizo

Using a web archiver is a good idea, I hadn't considered that. I've updated the PKGBUILD to use the links you've provided.

kaizo commented on 2021-03-05 20:08

Instead of abandoning this package completely, would you consider replacing the download links from the Wayback Machine?

They function as drop-in replacements, the hashes match those already in the package(s) as one would expect.

NPAPI: https://web.archive.org/web/20210126102538if_/https://fpdownload.adobe.com/get/flashplayer/pdc/32.0.0.465/flash_player_npapi_linux.x86_64.tar.gz

PPAPI: https://web.archive.org/web/20210116212416if_/https://fpdownload.adobe.com/get/flashplayer/pdc/32.0.0.465/flash_player_ppapi_linux.x86_64.tar.gz

If not, would you considering at passing the roll of maintainer on to someone else or orphaning the package entirely?

huupoke12 commented on 2021-03-04 14:36

The link is dead. I suggest trying archive.org instead. You can use Firefox ESR to use it.

neeshy commented on 2021-03-01 01:42

The official upstream sources have been removed. Initially, Adobe had removed just the links on their main site without removing the actual files. I guess they changed their minds. I managed to backup most of the Adobe Flash 32.0.0.465 versions (I missed the Windows .exe installers) before they nuked them. Here they are (.tar.gz): http://0x0.st/-Kgg.gz

I won't be updating the PKGBUILD to use this link, because I've always been suspicious of build scripts that use unofficial sources. You'll have to manually place the relevant files in the same directory as the PKGBUILD.

Also, keep in mind that the last version of Firefox which is compatible with flashplayer is 84.0.2.

adsun commented on 2021-03-01 00:26

Also when I update checksums I get this error when building:

gzip: stdin: not in gzip format
tar: Child returned status 1
tar: Error is not recoverable: exiting now

thx1138 commented on 2021-02-28 02:16

Validating source files with sha256sums...
    flash_player_npapi_linux_32.0.0.465.x86_64.tar.gz ... FAILED
    flash_player_ppapi_linux_32.0.0.465.x86_64.tar.gz ... FAILED